package com.jy.business.contract.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.jy.business.contract.model.dto.ContractDetailDto;
import com.jy.business.contract.model.dto.ContractDetailSelectDto;
import com.jy.business.contract.model.vo.ContractDetailVo;

import java.util.List;

/**
 * <p>
 * 合同详情 服务类
 * </p>
 *
 * @author 
 * @since 2025-06-10
 */
public interface ContractDetailService {

    /**
     * 合同详情列表
     */
    List<ContractDetailVo> getList(ContractDetailSelectDto dto);

    /**
     * 合同详情分页
     */
    Page<ContractDetailVo> getPage(ContractDetailSelectDto dto);

    /**
     * 合同详情明细
     */
    ContractDetailVo getDetail(Long id);

    /**
     * 合同详情新增
     */
    void add(ContractDetailDto dto);

    /**
     * 合同详情编辑
     */
    void edit(ContractDetailDto dto);

    /**
     * 合同详情删除
     */
    void delete(List<Long> idList);

}
